Package org.h2gis.functions.spatial.convert

# Class ST_PolyFromWKB

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_PolyFromWKB

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_PolyFromWKB extends org.h2gis.api.DeterministicScalarFunction
Convert Well Known Binary into Geometry then check that it is a Polygon

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_PolyFromWKB()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`toPolygon(byte[] bytes)`
`static org.locationtech.jts.geom.Geometry`
`toPolygon(byte[] bytes, int srid)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_PolyFromWKB

public ST_PolyFromWKB()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toPolygon

public static org.locationtech.jts.geom.Geometry toPolygon(byte[] bytes) throws SQLException, IOException

Parameters:
  `bytes` - WKB
Returns:
  Geometry instance of null if bytes are null
Throws:
  `SQLException` - Wkb parse exception
  `IOException`

### toPolygon

public static org.locationtech.jts.geom.Geometry toPolygon(byte[] bytes, int srid) throws SQLException, IOException

Parameters:
  `bytes` - WKB
  `srid` - SRID
Returns:
  Geometry instance of null if bytes are null
Throws:
  `SQLException` - Wkb parse exception
  `IOException`